%define with_ssl 1

Name:           loudmouth
Version:        0.90
Release:        2%{?dist}
Summary:        Loudmouth is a Jabber programming library written in C

Group:          System Environment/Libraries
License:        LGPL
URL:            http://www.imendio.com/projects/loudmouth
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib2-devel >= 2.4.0
BuildRequires:	gtk-doc >= 0.10

%if %{with_ssl}
BuildRequires:	gnutls-devel >= 1.0.0    
BuildRequires:	libtasn1 >= 0.2.6
BuildRequires:	libgcrypt-devel
%endif

%description
Loudmouth is a lightweight and easy-to-use C library for programming
with the Jabber protocol. It's designed to be easy to get started with
and yet extensible to let you do anything the Jabber protocol allows.


%package devel
Summary:	Development files for Loudmouth
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel

%description devel
Loudmouth is a lightweight and easy-to-use C library for programming
with the Jabber protocol. It's designed to be easy to get started with
and yet extensible to let you do anything the Jabber protocol allows.

%prep
%setup -q


%build
%configure --enable-gtk-doc \
	   --enable-mono=no \
%if %{with_ssl}
	   --with-ssl=yes
%else
	   --with-ssl=no
%endif

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc ChangeLog NEWS README COPYING
%{_libdir}/libloudmouth*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libloudmouth*.so
%{_libdir}/libloudmouth*.a
%{_libdir}/pkgconfig/*
%{_includedir}/%{name}-1.0
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Fri May 13 2005 Brian Pepple <bdpepple@ameritech.net> - 0.90-2
- Add dist tag.

* Fri May 13 2005 Brian Pepple <bdpepple@ameritech.net> - 0.90-1
- Update to 0.9.

* Thu May  5 2005 Brian Pepple <bdpepple@ameritech.net> - 0.17.2-3
- Adde glib2-devel requires.

* Thu May  5 2005 Brian Pepple <bdpepple@ameritech.net> - 0.17.2-2
- added %%{_includedir}.
- Add libgcrypt-devel BR.

* Sun May  1 2005 Brian Pepple <bdpepple@ameritech.net> - 0.17.2-1
- Initial Fedora build.

